You are not logged in.

#576 2011-09-26 22:27:25

orschiro
Member
Registered: 2009-06-04
Posts: 2,136
Website

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

karol wrote:

I think java-runtime is / was a virtual package of sorts.
jre6 provides java-runtime=6 which conflicts with java-runtime.
jre7 provides java-runtime=7 which conflicts with java-runtime.
https://aur.archlinux.org/packages.php?ID=50317 provides both 'java-runtime' and 'java-environment'.

But why is packer then listing a package although it is not existing?

Another example:

[robert@thinkpad ~]$ packer -S jumanji

Aur Targets    (1): jumanji

Proceed with installation? [Y/n] 

tar: This does not look like a tar archive

gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error is not recoverable: exiting now
/usr/bin/packer: line 271: cd: jumanji: No such file or directory
No PKGBUILD found in directory.

packer finds a target 'jumanji' although it is not existing in the AUR.

Regads

Last edited by orschiro (2011-09-26 22:28:02)

Offline

#577 2011-09-27 00:33:51

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,097
Website

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

Something tells me you found a bug wink

$ ./packer -S 'this isnt a real package'

Aur Targets    (1): this isnt a real package

Proceed with installation? [Y/n]

Looks like packer is trying to match the exact string "No result found" which no longer exists... its now "No results found" which appears to have been changed here (with the release of 1.9.0 on 8/20).

Sure enough, that one change on line 96 of git master makes things work...

$ ./packer -S jumanji
Package `jumanji' does not exist.

Though there must be a better way to do this given that packer relies on jshon...

Last edited by falconindy (2011-09-27 00:34:27)

Offline

#578 2011-09-27 03:04:11

keenerd
Trusted User (TU)
Registered: 2007-02-22
Posts: 647
Website

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

Derp, yeah.  I never rewrote that part to use Jshon, because I did not want to begin to try to cover all the ways the AUR flake out.

So line 96, currently

! grep -Fq ':"No result found"' "$tmpdir/$1.info"

should probably be

[[ "$(jshon -Qe type -u < "$tmpdir/$1.info")" = "info" ]]

This should be flexible enough to cover anything short of a complete overhaul of the AUR :-)

Last edited by keenerd (2011-09-27 03:06:01)

Offline

#579 2011-09-27 07:26:23

orschiro
Member
Registered: 2009-06-04
Posts: 2,136
Website

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

Good to hear you can easily resolve this bug. smile

Cheers

Offline

#580 2011-11-03 09:00:20

Zucca
Member
From: KUUSANKOSKI, Finland
Registered: 2009-02-26
Posts: 135

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

Hi. Does packer do automatic package building from ABS?


K.i.s.s. <3

Offline

#581 2011-11-10 02:04:11

luizdeh
Member
Registered: 2011-10-17
Posts: 18

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

Nice work, packer has worked a lot better than yaourt. Faster, leaner and just plain did a better job.

Offline

#582 2011-11-12 21:09:19

nawitus
Member
Registered: 2009-05-11
Posts: 112

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

I did "packer -Syu", but it doesn't update anything in AUR. linux-ck is 3.0.7-1 in my system, but https://aur.archlinux.org/packages.php?ID=50911 tells that linux-ck is 3.1.1-1. My point is, why doesn't it update to the latest version of the linux-ck package?

Offline

#583 2011-11-13 03:09:49

tri1976
Member
Registered: 2009-09-07
Posts: 152

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

I can't get packer to use nano as editor (it kept using vi) and wondering if anyone can give me some pointers.  I understand this issue had been mention before on p12-13 and nothing work for me except symlink nano to vi (which seem pretty extreme to me).  "echo $EDITOR" gives "nano" as both user and root.

Offline

#584 2011-11-13 04:52:32

NOOBZILLATRON
Member
Registered: 2011-10-05
Posts: 7

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

tri1976 wrote:

I can't get packer to use nano as editor (it kept using vi) and wondering if anyone can give me some pointers.  I understand this issue had been mention before on p12-13 and nothing work for me except symlink nano to vi (which seem pretty extreme to me).  "echo $EDITOR" gives "nano" as both user and root.

Handy vim tutorial http://www.openvim.com/tutorial.html

Offline

#585 2011-11-13 08:54:24

handy
Member
From: Oz
Registered: 2008-03-26
Posts: 719

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

tri1976 wrote:

I can't get packer to use nano as editor (it kept using vi) and wondering if anyone can give me some pointers.  I understand this issue had been mention before on p12-13 and nothing work for me except symlink nano to vi (which seem pretty extreme to me).  "echo $EDITOR" gives "nano" as both user and root.

Packer uses the EDITOR variable:

https://github.com/bruenig/packer/wiki

Use one of the methods here:

https://wiki.archlinux.org/index.php/Na … _with_nano

If that doesn't work you have another problem.


I used to be surprised that I was still surprised by my own stupidity, finding it strangely refreshing.
Well, now I don't find it refreshing.
I'm over it!

Offline

#586 2011-11-13 15:42:36

tri1976
Member
Registered: 2009-09-07
Posts: 152

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

@handy "export EDITOR=nano" is in .bashrc.  When I do "echo $EDITOR", it returns "nano".  So EDITOR variable is set, but packer refuses to use is for some reason.
@NOOBZILLATRON I do have some basic knowledge of using vi, but I'm much more comfortable with nano.  I just don't see why it can't use an editor of your choice

Last edited by tri1976 (2011-11-13 16:02:55)

Offline

#587 2011-11-13 22:44:15

handy
Member
From: Oz
Registered: 2008-03-26
Posts: 719

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

Try setting the EDITOR variable in a file you make located in /etc/profile.d   & ~/.bash_profile

The previously supplied link gives instructions for what you can use in ~/.bash_profile

If it still doesn't work then perhaps you have uncovered a bug, though, it would seem that you are the only one with it, which tends to make it look like there is something different going on on your system.

Last edited by handy (2011-11-13 22:46:12)


I used to be surprised that I was still surprised by my own stupidity, finding it strangely refreshing.
Well, now I don't find it refreshing.
I'm over it!

Offline

#588 2011-11-13 22:46:24

handy
Member
From: Oz
Registered: 2008-03-26
Posts: 719

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

Try setting the EDITOR variable in a file you make located in /etc/profile.d   & ~/.bash_profile

The previously supplied link gives instructions for what you can use in ~/.bash_profile


I used to be surprised that I was still surprised by my own stupidity, finding it strangely refreshing.
Well, now I don't find it refreshing.
I'm over it!

Offline

#589 2011-11-14 01:02:40

tri1976
Member
Registered: 2009-09-07
Posts: 152

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

I'm sure it's not a problem with setting $EDITOR variable.  In terminal, I execute $EDITOR and nano open.  I use $EDITOR in a script and nano open.  For some reason packer could not use it.

Offline

#590 2011-11-14 01:16:27

tri1976
Member
Registered: 2009-09-07
Posts: 152

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

I uninstall vi and then packer uses nano.  I re-install vi and it still uses nano.  I have no idea what happen, but it appears to be fixed.  One suggestion though, the line where packer asks whether or not to edit PKGBUILD, replace "\$EDITOR" with "$EDITOR", so that user will know what packer will use as editor.

Offline

#591 2011-11-16 07:37:52

DasFox
Member
Registered: 2010-11-24
Posts: 107

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

I run packer -Syu --auronly but it won't update the pkgs I installed from AUR and there are newer versions.

How can I fix it?


THANKS


12 Year Linux Vet, Don't Let The Post Count Fool Ya! But Sure I Don't Know Everything, Who Does? That's Why I Ask. smile

Offline

#592 2011-11-16 13:13:20

luizdeh
Member
Registered: 2011-10-17
Posts: 18

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

Had the same problem as DasFox last time I tried updating.

'packer -Suy --auronly' gave me nothing, while 'packer -Suy' and 'pacman -Suy' did the exact same thing.

Offline

#593 2011-11-16 14:42:00

stryder
Member
Registered: 2009-02-28
Posts: 498

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

If you haven't reinstalled packer for quite a while, try reinstalling it deliberately. packer -S packer.

Offline

#594 2011-11-16 15:01:28

luizdeh
Member
Registered: 2011-10-17
Posts: 18

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

I installed packer last week. Nevertheless, i'll give it a shot.

Last edited by luizdeh (2011-11-16 15:01:41)

Offline

#595 2011-11-21 02:04:27

DasFox
Member
Registered: 2010-11-24
Posts: 107

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

YEAH packer -S packer did it... smile

Seems like we need to constantly reinstall this thing, I hope we can get a fix for this...


THANKS


12 Year Linux Vet, Don't Let The Post Count Fool Ya! But Sure I Don't Know Everything, Who Does? That's Why I Ask. smile

Offline

#596 2011-11-21 02:57:56

mhertz
Member
From: Denmark
Registered: 2010-06-19
Posts: 664

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

You can just use --devel when upgrading, which will reinstall packer no matter if it needs it or not however...

Offline

#597 2012-01-17 12:35:41

chneukirchen
Member
Registered: 2010-02-11
Posts: 100

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

When I run pacman 4.0.1 with signatures turned on, pacman called by packer fails to retrieve the key if I run packer as a user:

  % packer -S lftp
  error: lftp: key "94657AB20F2A092B" is unknown
  :: Import PGP key 0F2A092B, "Andreas Radke <andyrtr@archlinux.org>", created 2011-05-14? [Y/n] y
  error: key "Andreas Radke <andyrtr@archlinux.org>" could not be imported
  error: failed to commit transaction (invalid or corrupted package (PGP signature))
  Errors occurred, no packages were upgraded.

With sudo packer it works:

  % packer -S lftp
  error: lftp: key "94657AB20F2A092B" is unknown
  :: Import PGP key 0F2A092B, "Andreas Radke <andyrtr@archlinux.org>", created 2011-05-14? [Y/n] y
  (1/1) checking package integrity                   [######################] 100%

Offline

#598 2012-01-18 18:25:19

emphire
Member
From: Canada
Registered: 2007-03-21
Posts: 173

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

I just tried out packer and it looks great. One issue I ran into: It seems to have problems when $EDITOR is set to a value with a space in it. (Mine is EDITOR="emacs -nw").

Offline

#599 2012-01-18 19:55:28

keenerd
Trusted User (TU)
Registered: 2007-02-22
Posts: 647
Website

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

I just tried EDITOR="vim -b" and it worked fine.  The only place where $EDITOR is called is on line 253,

${EDITOR:-vi} "$2"

which seems too simple to fail in the manner you've described.

Give more error messages.

Offline

#600 2012-01-18 20:20:12

emphire
Member
From: Canada
Registered: 2007-03-21
Posts: 173

Re: packer - New bash aur+pacman wrapper (replaces poorly written yaourt)

Sure,

packer pacman-color
  
0 aur/pacman-color 4.0.1-1 (1895)
    A color patched command-line frontend for libalpm (Pacman)
1 aur/pacman-color-testing 4.0.1-1 (71)
    A color patched command-line frontend for libalpm (Pacman) - prefers [testing]

Type numbers to install. Separate each number with a space.
Numbers: 0

Aur Targets    (1): pacman-color

Proceed with installation? [Y/n] Y

Edit pacman-color PKGBUILD with $EDITOR? [Y/n] Y

/usr/bin/packer: line 252: emacs -nw: command not found
==> Making package: pacman-color 4.0.1-1 (Wed Jan 18 12:16:14 PST 2012)

Perhaps it's the permissions on emacs?

$ ls -l `which emacs`
-rwxr-xr-t 2 root root 11M Jan  5 05:02 /usr/bin/emacs*

Offline

Board footer

Powered by FluxBB